Name:          python-lazy-object-proxy
Version:       1.6.0
Release:       1mamba
Summary:       A fast and thorough lazy object proxy
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/lazy-object-proxy/
Source:        https://pypi.debian.net/lazy-object-proxy/lazy-object-proxy-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: python3
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n lazy-object-proxy-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Mar 24 2021 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-1mamba
- package created using the webbuild interface
